#
# spec file for package libnl (Version 1.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libnl
%define preversion pre5
%define prefix /usr
Summary:        Convenience library for kernel netlink sockets
Group:          Development/Libraries/Other
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Version:        1.0
Release:        18.4
URL:            http://people.suug.ch/~tgr/libnl/
Source:         http://people.suug.ch/~tgr/libnl/files/libnl-%{version}-%{preversion}.tar.gz
Source1:        %{name}-1.pc
Source2:        %{name}-1.pc.x86_64
Patch:          %{name}-makefile.patch
Patch1:         %{name}-typedef.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains a convenience library to simplify using the Linux
kernels netlink sockets interface for network manipulation.



Authors:
--------
    Thomas Graf <tgraf@suug.ch>

%debug_package
%package devel
Summary:        Convenience library for kernel netlink sockets
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains a convenience library to simplify using the Linux
kernels netlink sockets interface for network manipulation.



Authors:
--------
    Thomas Graf <tgraf@suug.ch>

%prep
%setup -q -n libnl-%{version}-%{preversion}
%patch
%ifnarch ia64 ppc64 s390x
%patch1 -p1
%endif

%build
#%configure
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
%if "%_lib" == "lib64"
cp %{SOURCE2} $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libnl-1.pc
%else
cp %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/%{name}.so.*
%doc COPYING

%files devel
%defattr(-,root,root,0755)
%{_includedir}/netlink/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}-1.pc

%changelog
* Mon Feb 20 2006 - ro@suse.de
- fix build on ia64, ppc64, s390x
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 15 2005 - yxu@suse.de
- fixed conflicting type definition
* Fri Nov 04 2005 - rml@suse.de
- Update to 1.0-pre5
* Mon Oct 31 2005 - gekker@suse.de
- Initial import into autobuild Version 1.0-pre3
- Patch makefile
